PHP-Nuke News and Reviews modules cross-site scripting

phpnuke-mulitple-xss (15076) The risk level is classified as MediumMedium Risk

Description:

PHP-Nuke is vulnerable to cross-site scripting in the News and Reviews modules. A remote attacker could create a malicious URL link using the GET or POST method to the News module of the modules.php script containing image source tags with embedded script in the $title or $fname variable, or to the Reviews module of the modules.php script containing image source tags with embedded script in the $title or $fname variable, which would be executed in the victim's Web browser within the security context of the hosting site, once the link is clicked. An attacker could use this vulnerability to steal the victim's cookie-based authentication credentials.


Consequences:

Gain Access

Remedy:

No remedy available as of July 1, 2014.

References:

  • BugTraq Mailing List, Sun Feb 08 2004 - 14:13:24 CST : Cross-Site Scripting (XSS) in Php-Nuke 7.1.0.
  • PHP-Nuke Web site: PHP-Nuke.
  • BID-10755: PHP-Nuke Reviews Module "title" Parameter Cross-Site Scripting Vulnerability
  • BID-9605: PHP-Nuke News Module Cross-Site Scripting Vulnerability
  • BID-9613: PHP-Nuke Reviews Module Cross-Site Scripting Vulnerability
  • CVE-2004-0265: Cross-site scripting (XSS) vulnerability in modules.php for Php-Nuke 6.x-7.1.0 allows remote attackers to execute arbitrary script as other users via URL-encoded (1) title or (2) fname parameters in the News or Reviews modules.
  • OSVDB ID: 3899: PHP-Nuke Reviews Module title Parameter XSS
  • OSVDB ID: 3900: PHP-Nuke News Module friend.php title Parameter XSS

Platforms Affected:

  • PHPNuke PHP-Nuke 6.0
  • PHPNuke PHP-Nuke 6.5 Final
  • PHPNuke PHP-Nuke 6.5 rc3
  • PHPNuke PHP-Nuke 6.5 rc2
  • PHPNuke PHP-Nuke 6.5 rc1
  • PHPNuke PHP-Nuke 6.5 beta1
  • PHPNuke PHP-Nuke 6.5
  • PHPNuke PHP-Nuke 6.6
  • PHPNuke PHP-Nuke 6.7
  • PHPNuke PHP-Nuke 6.9
  • PHPNuke PHP-Nuke 7.0 Final
  • PHPNuke PHP-Nuke 7.0
  • PHPNuke PHP-Nuke 7.1

Reported:

Feb 08, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page